Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 479)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_subobject_wf/definition.xml	(revision 479)
@@ -0,0 +1,59 @@
+<?xml version="1.0"?>
+<cps-workflow workflow_id="waeup_student_subobject_wf"
+              title="CPS Workflow Definition"
+              state_variable="review_state"
+              meta_type="CPS Workflow">
+ <permission>Modify portal content</permission>
+ <permission>View</permission>
+ <state state_id="closed" title="">
+  <exit-transition transition_id="open"/>
+ </state>
+ <state state_id="created" title="">
+  <exit-transition transition_id="create_content"/>
+  <exit-transition transition_id="enter_application_pin"/>
+  <exit-transition transition_id="open"/>
+  <permission-map name="Modify portal content"
+                  acquired="False">
+   <permission-role>Manager</permission-role>
+   <permission-role>SectionManager</permission-role>
+  </permission-map>
+  <permission-map name="View" acquired="True">
+  </permission-map>
+ </state>
+ <state state_id="opened" title="">
+  <exit-transition transition_id="close"/>
+  <permission-map name="Modify portal content"
+                  acquired="True">
+   <permission-role>Owner</permission-role>
+  </permission-map>
+  <permission-map name="View" acquired="True">
+  </permission-map>
+ </state>
+ <transition transition_id="close" title=""
+             new_state="closed" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
+ <transition transition_id="create" title=""
+             new_state="created" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+  </guard>
+  <transition-behavior behavior_id="allow-sub-create"/>
+  <transition-behavior behavior_id="initial-create"/>
+ </transition>
+ <transition transition_id="open" title=""
+             new_state="opened" trigger="USER"
+             before_script="" after_script="">
+  
+  <guard>
+   <guard-role>Manager</guard-role>
+   <guard-role>SectionManager</guard-role>
+  </guard>
+ </transition>
+</cps-workflow>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 478)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 479)
@@ -124,5 +124,5 @@
              trigger="USER"
              before_script=""
-             after_script="">
+             after_script="open_application_personal">
 
   <guard>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/close_application.py
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/close_application.py	(revision 478)
+++ 	(revision )
@@ -1,22 +1,0 @@
-## Script (Python) "close_application"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# Example code:
-
-# Import a standard function, and get the HTML request and response objects.
-from Products.PythonScripts.standard import html_quote
-request = container.REQUEST
-RESPONSE =  request.RESPONSE
-
-# Return a string identifying this script.
-print "This is the", script.meta_type, '"%s"' % script.getId(),
-if script.title:
-    print "(%s)" % html_quote(script.title),
-print "in", container.absolute_url()
-return printed
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/close_clearance.py
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/close_clearance.py	(revision 478)
+++ 	(revision )
@@ -1,22 +1,0 @@
-## Script (Python) "close_clearance"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# Example code:
-
-# Import a standard function, and get the HTML request and response objects.
-from Products.PythonScripts.standard import html_quote
-request = container.REQUEST
-RESPONSE =  request.RESPONSE
-
-# Return a string identifying this script.
-print "This is the", script.meta_type, '"%s"' % script.getId(),
-if script.title:
-    print "(%s)" % html_quote(script.title),
-print "in", container.absolute_url()
-return printed
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/close_personal.py
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/close_personal.py	(revision 478)
+++ 	(revision )
@@ -1,22 +1,0 @@
-## Script (Python) "close_personal"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# Example code:
-
-# Import a standard function, and get the HTML request and response objects.
-from Products.PythonScripts.standard import html_quote
-request = container.REQUEST
-RESPONSE =  request.RESPONSE
-
-# Return a string identifying this script.
-print "This is the", script.meta_type, '"%s"' % script.getId(),
-if script.title:
-    print "(%s)" % html_quote(script.title),
-print "in", container.absolute_url()
-return printed
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/open_application.py
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/open_application.py	(revision 478)
+++ 	(revision )
@@ -1,22 +1,0 @@
-## Script (Python) "open_application"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# Example code:
-
-# Import a standard function, and get the HTML request and response objects.
-from Products.PythonScripts.standard import html_quote
-request = container.REQUEST
-RESPONSE =  request.RESPONSE
-
-# Return a string identifying this script.
-print "This is the", script.meta_type, '"%s"' % script.getId(),
-if script.title:
-    print "(%s)" % html_quote(script.title),
-print "in", container.absolute_url()
-return printed
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/open_application_personal.py
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/open_application_personal.py	(revision 479)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/open_application_personal.py	(revision 479)
@@ -0,0 +1,11 @@
+## Script (Python) "open_personal"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=wfinfo
+##title=
+##
+context.application.content_status_modify(workflow_action="open")
+context.personal.content_status_modify(workflow_action="open")
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/open_personal.py
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/open_personal.py	(revision 478)
+++ 	(revision )
@@ -1,22 +1,0 @@
-## Script (Python) "open_personal"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# Example code:
-
-# Import a standard function, and get the HTML request and response objects.
-from Products.PythonScripts.standard import html_quote
-request = container.REQUEST
-RESPONSE =  request.RESPONSE
-
-# Return a string identifying this script.
-print "This is the", script.meta_type, '"%s"' % script.getId(),
-if script.title:
-    print "(%s)" % html_quote(script.title),
-print "in", container.absolute_url()
-return printed
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/validate_application_pin.py
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/validate_application_pin.py	(revision 478)
+++ 	(revision )
@@ -1,22 +1,0 @@
-## Script (Python) "validate_application_pin"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# Example code:
-
-# Import a standard function, and get the HTML request and response objects.
-from Products.PythonScripts.standard import html_quote
-request = container.REQUEST
-RESPONSE =  request.RESPONSE
-
-# Return a string identifying this script.
-print "This is the", script.meta_type, '"%s"' % script.getId(),
-if script.title:
-    print "(%s)" % html_quote(script.title),
-print "in", container.absolute_url()
-return printed
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/validate_clearance_pin.py
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_student_wf/scripts/validate_clearance_pin.py	(revision 478)
+++ 	(revision )
@@ -1,22 +1,0 @@
-## Script (Python) "validate_clearance_pin"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# Example code:
-
-# Import a standard function, and get the HTML request and response objects.
-from Products.PythonScripts.standard import html_quote
-request = container.REQUEST
-RESPONSE =  request.RESPONSE
-
-# Return a string identifying this script.
-print "This is the", script.meta_type, '"%s"' % script.getId(),
-if script.title:
-    print "(%s)" % html_quote(script.title),
-print "in", container.absolute_url()
-return printed
